modules/m/controllers/DefaultController.php
<?php

namespace app\modules\m\controllers;

use app\common\services\UrlService;
use app\models\brand\BrandImages;
use app\models\brand\BrandSetting;
use app\models\WxShareHistory;
use app\modules\m\controllers\common\BaseController;


class DefaultController extends BaseController {

    public function actionIndex(){
//    	$info = BrandSetting::find()->one();
//    	$image_list = BrandImages::find()->all();
//
//        return $this->render('index',[
//        	'info' => $info,
//			'image_list' => $image_list
//		]);
        return $this->redirect(UrlService::buildMUrl('/user/index'));
    }

    public function actionShared(){
    	$url = $this->post( "url","" );
    	if( !$url ){
			$url = isset( $_SERVER['HTTP_REFERER'] )?$_SERVER['HTTP_REFERER']:'';
		}

		$model_wx_shared = new WxShareHistory();
		$model_wx_shared->member_id = $this->current_user?$this->current_user['id']:0;
		$model_wx_shared->share_url = $url;
		$model_wx_shared->created_time = date("Y-m-d H:i:s");
		$model_wx_shared->save( 0 );
		return $this->renderJSON( [] );
	}

}

modules/m/controllers/UserController.php
<?php

namespace app\modules\m\controllers;

use app\common\services\ConstantMapService;
use app\common\services\DataHelper;
use app\common\services\Express;
use app\common\services\QueueListService;
use app\common\services\UploadService;
use app\common\services\UrlService;
use app\common\services\UtilService;
use app\common\services\weixin\TemplateService;
use app\models\article\Article;
use app\models\book\Book;
use app\models\City;
use app\models\course\Course;
use app\models\course\CourseMarketQrcode;
use app\models\Express as ModelExpress;
use app\models\market\MarketQrcode;
use app\models\market\QrcodeScanHistory;
use app\models\member\Member;
use app\models\member\MemberAddress;
use app\models\member\MemberComments;
use app\models\member\MemberFav;
use app\models\member\OauthMemberBind;
use app\models\notice\Notice;
use app\models\pay\PayOrder;
use app\models\pay\PayOrderItem;
use app\models\question\QuestionImages;
use app\models\question\UserQuestion;
use app\models\QueueList;
use app\models\sms\SmsCaptcha;
use app\modules\m\controllers\common\BaseController;
use app\common\services\AreaService;
use Codeception\Lib\Generator\Helper;
use yii\base\Exception;


class UserController extends BaseController
{

    public function actionIndex()
    {
        return $this->render('index', [
            'current_user' => $this->current_user
        ]);
    }

    /**
     * 用户注册
     */
    public function actionRegister()
    {
        if (\Yii::$app->request->isGet) {
            return $this->render("register");
        }

        $mobile = trim($this->post("mobile"));
        $nickname = trim($this->post("nickname"));
        $captcha_code = trim($this->post("captcha_code"));
        $date_now = date("Y-m-d H:i:s");

        if (!preg_match('/^[a-zA-Z0-9\x{4e00}-\x{9fa5}]{2,20}$/u', $nickname)) {
            return $this->renderJSON([], "请输入正确的昵称", -1);
        }

        if (mb_strlen($mobile, "utf-8") != 11 || !preg_match("/^[1-9]\d{10}$/", $mobile)) {
            return $this->renderJSON([], "请输入正确的手机号码", -1);
        }

        if (mb_strlen($captcha_code, "utf-8") != 6 || !SmsCaptcha::checkCaptcha($mobile, $captcha_code)) {
            return $this->renderJSON([], "请输入正确的短信验证码", -1);
        }

        $member_info = Member::find()->where(['mobile' => $mobile])->one();
        if ($member_info) {
            $this->renderJSON([], "手机号码已注册，请直接登录", -1);
        }
        $model_member = new Member();
        $model_member->nickname = $nickname;
        $model_member->mobile = $mobile;
        $model_member->setSalt();
        $model_member->avatar = ConstantMapService::$default_avatar;
        $model_member->reg_ip = sprintf("%u", ip2long(UtilService::getIP()));
        $model_member->status = 1;
        $model_member->created_time = $model_member->updated_time = $date_now;
        $model_member->save(0);
        $member_info = $model_member;
        //todo设置登录态
        $this->setLoginStatus($member_info);
        return $this->renderJSON(['url' => UrlService::buildMUrl("/user/index")], "注册成功");
    }

    /**
     * 登录页面
     */
    public function actionLogin()
    {
        if (\Yii::$app->request->isGet) {
            return $this->render("login");
        }

        $mobile = trim($this->post("mobile"));
        $captcha_code = trim($this->post("captcha_code"));
        $date_now = time("Y-m-d H:i:s");
        if (mb_strlen($mobile, "utf-8") != 11 || !preg_match("/^[1][3,4,5,7,8][0-9]{9}$/", $mobile)) {
            return $this->renderJSON([], "请输入正确的手机号码", -1);
        }

        if (mb_strlen($captcha_code, "utf-8") != 6 || !SmsCaptcha::checkCaptcha($mobile, $captcha_code)) {
            return $this->renderJSON([], "请输入正确的短信验证码", -1);
        }

        $member_info = Member::find()->where(["mobile" => $mobile])->one();
        if (!$member_info) {
            $this->renderJSON([], "手机号码未注册", -1);
        }

        if (!$member_info['status']) {
            return $this->renderJSON([], "您的账号已被禁止，请联系客服解决", -1);
        }

        $model_member = new Member();
        $model_member->updated_time = $date_now;
        $model_member->update(0);

        //todo设置登录态
        $this->setLoginStatus($member_info);
        return $this->renderJSON(['url' => UrlService::buildMUrl("/user/index")], "登录成功");
    }

    /**
     * 退出登录
     */
    public function actionLogin_out()
    {
        $this->removeSession($this->auth_cookie_current_openid);
        $this->removeSession($this->auth_cookie_name);
        return $this->redirect(UrlService::buildMUrl("/user/login"));
    }

    /**
     * 帐号绑定之前
     */
    public function actionBind_before()
    {
        return $this->render("bind_before");
    }

    public function actionBind_step1()
    {
        return $this->render("bind_before");
    }

    /**
     * 账号绑定
     * @return string|void
     */
    public function actionBind()
    {
        if (\Yii::$app->request->isGet) {
            $info = $this->current_user;
            return $this->render("bind", [
                'referer' => trim($this->get("referer")),
                'info' => $info
            ]);
        }

        $mobile = trim($this->post("mobile"));
        $nickname = trim($this->post("nickname"));
        $captcha_code = trim($this->post("captcha_code"));
        $referer = trim($this->post("referer", ""));
        $openid = $this->getSession($this->auth_cookie_current_openid);
//        $unionid   = $this->getCookie($this->auth_cookie_current_unionid);
        $unionid = "";
        $date_now = date("Y-m-d H:i:s");

        if (!preg_match('/^[a-zA-Z0-9\x{4e00}-\x{9fa5}]{2,20}$/u', $nickname)) {
            return $this->renderJSON([], "请输入正确的昵称", -1);
        }

        if (mb_strlen($mobile, "utf-8") != 11 || !preg_match("/^[1-9]\d{10}$/", $mobile)) {
            return $this->renderJSON([], "请输入正确的手机号码", -1);
        }

        if (mb_strlen($captcha_code, "utf-8") != 6 || !SmsCaptcha::checkCaptcha($mobile, $captcha_code)) {
            return $this->renderJSON([], "请输入正确的短信验证码", -1);
        }

        $member_info = Member::find()->where(['mobile' => $mobile])->one();
        if (!$member_info) {
            $model_member = new Member();
            $model_member->nickname = $nickname;
            $model_member->mobile = $mobile;
            $model_member->setSalt();
            $model_member->avatar = ConstantMapService::$default_avatar;
            $model_member->reg_ip = sprintf("%u", ip2long(UtilService::getIP()));
            $model_member->status = 1;
            $model_member->created_time = $model_member->updated_time = $date_now;
            $ret = $model_member->save(0);
//            $ret = MemberService::set( [ 'mobile' => $mobile,'passwd' => '' ] );
            if (!$ret) {
                return $this->renderJSON([], '绑定失败', -1);
            }
            $member_info = $model_member;
        }

        if (!$member_info || !$member_info['status']) {
            return $this->renderJSON([], "您的账号已被禁止，请联系客服解决", -1);
        }

        if ($openid) {
            //检查该手机号是否绑定过其他微信（一个手机号只能绑定一个微信,也只能绑定一个支付宝）
            $client_type = ConstantMapService::$client_type_wechat;
            $bind_info = OauthMemberBind::findOne(['member_id' => $member_info['id'], "openid" => $openid, 'type' => $client_type]);

            if (!$bind_info) {
                $model_bind = new OauthMemberBind();
                $model_bind->member_id = $member_info['id'];
                $model_bind->type = $client_type;
                $model_bind->client_type = ConstantMapService::$client_type_mapping[$client_type];
                $model_bind->openid = $openid ?: '';
                $model_bind->unionid = $unionid ?: '';
                $model_bind->extra = '';
                $model_bind->updated_time = $date_now;
                $model_bind->created_time = $date_now;
                $model_bind->save(0);

                //绑定之后要做的事情
                QueueListService::addQueue("bind", [
                    'member_id' => $member_info['id'],
                    'type' => 1,
                    'openid' => $model_bind->openid
                ]);
            }
        }

        //如果用户头像或者unionid没有，就获取//这个时候做登录特殊处理，例如更新用户名和头像等等新
        if (UtilService::isWechat() && ($member_info->avatar == ConstantMapService::$default_avatar || $member_info->nickname == $member_info->mobile)) {
            return $this->renderJSON(['url' => UrlService::buildMUrl("/oauth/login", ['scope' => 'snsapi_userinfo'])], "绑定成功");
        }

        $this->setLoginStatus($member_info);
        return $this->renderJSON(['url' => UrlService::buildMUrl("/user/index")], "绑定成功");
    }



    public function actionFav()
    {
        $type = $this->get('type', 0);
        $type = $type ? $type : 2;

        $list = MemberFav::find()->where(['member_id' => $this->current_user['id']])
            ->andWhere(['type' => $type])->orderBy(['id' => SORT_DESC])->all();

        $data = [];
        if ($list) {
            $book_mapping = DataHelper::getDicByRelateID($list, Book::className(), "book_id", "id", ['name', 'price', 'main_image', 'stock']);
            $course_mapping = DataHelper::getDicByRelateID($list, Course::className(), "book_id", "id",
                ['name', 'price', 'main_image', 'is_free', 'model', 'summary']);

            foreach ($list as $_item) {
                if ($_item['type'] == 1) {
                    $tmp_book_info = $book_mapping[$_item['book_id']];
                    $data[] = [
                        'id' => $_item['id'],
                        'book_id' => $_item['book_id'],
                        'book_price' => $tmp_book_info['price'],
                        'book_name' => UtilService::encode($tmp_book_info['name']),
                        'book_main_image' => UrlService::buildPicUrl("book", $tmp_book_info['main_image']),
                        'url' => UrlService::buildMUrl("/product/info", ['id' => $_item['book_id']]),
                    ];

                } else {

modules/m/views/user/address.php
<?php
use \app\common\services\UrlService;
use \app\common\services\StaticService;
StaticService::includeAppJsStatic( "/js/m/user/address.js",\app\assets\MAsset::className() );
?>
<?php if( $list ):?>
<ul class="address_list">
    <?php foreach( $list as $_item ):?>
	<li>
		<p><span><?=$_item['nickname'];?></span><?=$_item['mobile'];?></p>
		<p><?=$_item['address'];?></p>
		<div class="addr_op">
			<em class="del" data="<?=$_item['id'];?>">删除</em>
			<a href="<?=UrlService::buildMUrl("/user/address_set",[ 'id' => $_item['id'] ]);?>">编辑</a>
            <?php if( $_item['is_default'] ):?>
			<span class="default_set aon"><i class="check_icon"></i>默认地址</span>
            <?php else:?>
                <span class="set_default" data="<?=$_item['id'];?>"><i class="check_icon"></i>设为默认 </span>
            <?php endif;?>
		</div>
	</li>
    <?php endforeach;?>
</ul>

<?php else:?>
    <section class="layout-nodata">
        <img src="<?=UrlService::buildImageUrl("/nodata.png")?>" width="100%"/>
    </section>
<?php endif;?>

<div class="op_box">
    <a href="<?=UrlService::buildMUrl("/user/address_set");?>" class="red_btn reg_btn" style="width: 100%;">添加新地址</a>
</div>

modules/m/views/user/address_set.php
<?php
use \app\common\services\StaticService;
use \app\common\services\UrlService;
use \app\common\services\UtilService;
StaticService::includeAppJsStatic( "/js/m/user/address_set.js",\app\assets\MAsset::className() );
?>
<div class="addr_form_box">
	<div class="addr_input_box">
        <span>收货人</span>
        <input name="nickname" type="text" placeholder="请输入收货人姓名" class="addr_input" value="<?=$info?UtilService::encode( $info['nickname'] ):'';?>" />
    </div>
	<div class="addr_input_box">
        <span>联系电话</span>
        <input name="mobile" type="text" placeholder="请输入收货人联系电话" value="<?=$info?UtilService::encode( $info['mobile'] ):'';?>" class="addr_input" />
    </div>
	<div class="addr_input_box">
		<span>选择地区</span>
		<div class="select_box">
			<select id="province_id">
                <option value="0">请选择省</option>
				<?php foreach($province_mapping as $_province_id => $_province_name ):?>
                    <option value="<?=$_province_id?>" <?php if( $info && $info['province_id'] == $_province_id ):?> selected <?php endif;?>><?=$_province_name?></option>
				<?php endforeach;?>
			</select>
		</div>
		<div class="select_box">
			<select id="city_id">
                <option value="0">请选择市</option>
			</select>
		</div>
		<div class="select_box">
			<select id="area_id">
                <option value="0">请选择区</option>
			</select>
		</div>
	</div>
	<div class="addr_input_box">
        <span>详细地址</span>
        <textarea name="address" rows="2" cols="20" placeholder="详细地址" class="addr_textarea"><?=$info?UtilService::encode( $info['address'] ):'';?></textarea>
    </div>
</div>
<div class="op_box">
    <input style="width: 100%;"  type="button" value="保存" class="red_btn save" />
</div>
<!--<div class="op_box">-->
<!--    <a href="#" class="red_btn reg_btn" style="width: 100%;">删除地址</a>-->
<!--</div>-->
<div class="hidden hide_wrap">
    <input name="id" type="hidden" value="<?=$info?$info['id']:0;?>">
    <input type="hidden" id="area_id_before" value="<?=$info?$info['area_id']:0?>">
    <input type="hidden" id="city_id_before" value="<?=$info?$info['city_id']:0?>">
</div>

modules/m/views/user/avatar_set.php
<?php
use app\common\services\StaticService;
use app\common\services\UrlService;

StaticService::includeAppCssStatic( "/plugins/cropper/cropper.css",\app\assets\MAsset::className() );
StaticService::includeAppJsStatic( "/plugins/cropper/cropper.js",\app\assets\MAsset::className() );
StaticService::includeAppJsStatic( "/plugins/cropper/main.js",\app\assets\MAsset::className() );

StaticService::includeAppJsStatic( "/js/m/user/avatar_set.js",\app\assets\MAsset::className() );
?>
<div class="img-container" style="max-height: 300px;">
    <img id="image" src="<?=$avatar?>" alt="Picture">
</div>
<div class="op_box">
    <label class="red_btn" for="inputImage" title="Upload image file" style="width: 100%;">
        <input type="file" class="sr-only" id="inputImage" name="file" accept="image/*">
        上传
    </label>
</div>
<div class="op_box">
    <a id="submit_btn" class="red_btn reg_btn" href="javascript:void(0);" style="width: 100%;" >保存</a>
    <input type="hidden" name='image_base64' value="" id='image_base64'>
    <a id="download" href="javascript:void(0);" download="cropped.jpg" style="display: none;">download</a>
</div>
<div class="docs-buttons" style="display: none;">
    <div class="btn-group btn-group-crop">
        <button id='save' type="button" class="btn btn-success" data-method="getCroppedCanvas" data-option="{ &quot;maxWidth&quot;: 4096, &quot;maxHeight&quot;: 4096 }">
        <span class="docs-tooltip" data-toggle="tooltip" data-animation="false" title="$().cropper(&quot;getCroppedCanvas&quot;, { maxWidth: 4096, maxHeight: 4096 })">
          Get Cropped Canvas
        </span>
        </button>
    </div>
</div>

modules/m/views/user/comment.php
<?php
use \app\common\services\UtilService;
use \app\common\services\StaticService;
StaticService::includeAppJsStatic( "/plugins/raty/jquery.raty.min.js",\app\assets\MAsset::className() );
StaticService::includeAppJsStatic( "/js/m/user/comment.js",\app\assets\MAsset::className() );
?>
<div class="page_title clearfix">
    <span>我的评论</span>
</div>
<?php if( $list ):?>
    <ul class="address_list">
		<?php foreach( $list as $_item ):?>
            <li>
                <p>评分：<span class="star" style="width: 200px;" data-score="<?=$_item['score'];?>"></span></p>
                <p>评价内容：<?=UtilService::encode( $_item['content'] );?></p>
            </li>
		<?php endforeach;?>
    </ul>
<?php endif;?>

modules/m/views/user/comment_set.php
<?php
use \app\common\services\UrlService;
use \app\common\services\StaticService;
StaticService::includeAppJsStatic( "/plugins/raty/jquery.raty.min.js",\app\assets\MAsset::className() );
StaticService::includeAppJsStatic( "/js/m/user/comment_set.js",\app\assets\MAsset::className() );
?>
<div class="page_title clearfix">
    <span>我要评论</span>
</div>
<div class="addr_form_box">
    <div class="addr_input_box">
        <span>服务打分</span>
        <div id="star" style="width: 100%;padding:1.3rem 0"></div>
    </div>
    <div class="addr_input_box">
        <span>评价内容</span>
        <textarea name="content" rows="2" cols="20" placeholder="请填写本次购买的评价" class="addr_textarea"></textarea>
    </div>
</div>
<div class="op_box">
    <input type="hidden" name="pay_order_id" value="<?=$pay_order_info['id'];?>">
    <input type="hidden" name="book_id" value="<?=$book_id;?>">
    <input  type="button" value="确定" class="red_btn save" style="width: 100%;" />
</div>

modules/m/views/user/course_order.php
<?php
use \app\common\services\UrlService;
use \app\common\services\StaticService;
use app\common\services\ConstantMapService;
StaticService::includeAppJsStatic( "/js/m/user/order.js",\app\assets\MAsset::className() );
?>
<?php if( $list ):?>
<?php foreach( $list as $_item ):?>
<div class="order-box" style="margin-top: 0.6rem;">
	<p class="order-box-title">订单编号 <?=$_item['sn'];?><?=$_item['status_desc'];?></p><!--状态class区分 status-1 待付款 status-2 运输中 status-3 已完成-->
	<ul class="order-list">
		<?php foreach( $_item['items'] as $_item_info ):?>
		<li class="clearfix">
            <div class="order-cont">
				<a href="<?=UrlService::buildMUrl('/course/info',['id'=>$_item_info['book_id']]);?>">
				<div class="order-pic"><img src="<?=$_item_info['book_main_image'];?>"/></div>
				</a>
				<dl class="order-des">
                    <a href="<?=UrlService::buildMUrl('/course/info',['id'=>$_item_info['book_id']]);?>">
					<dt><?=$_item_info['book_name'];?></dt>
					</a>
					<div class="tag_box">
                        <?=ConstantMapService::$course_free_mapping[$_item_info['is_free']]?>
                        <?=ConstantMapService::$course_model_mapping[$_item_info['model']]?>
                        <label class="tag-price"><?php if($_item_info['is_free'] == 0){echo '￥'.$_item_info['pay_price'];}?></label>
                    </div>
                    <?php if ($_item_info['model'] == 0):?>
                        <dd class="classTime">
                            上课时间：<?=$_item_info['course_date']?>
                        </dd>
                    <?php endif;?>


                    <?php if ($_item_info['model'] == 0 && $_item['status'] == 1):?>
                        <dd class="classTime">二维码：
                            <?=ConstantMapService::$course_qrcode_status[$_item_info['qrcode_status']];?>
                        </dd>
                    <?php endif;?>
				</dl>
			</div>
		</li>
		<?php endforeach;?>
		<?php if( $_item['status'] == -8 ):?>
		<div class="order-btn">
        	<a class="close" data="<?=$_item['id'];?>" href="<?=UrlService::buildNullUrl();?>">取消订单</a>
        	<a class="green-btn" href="<?=$_item["pay_url"];?>">微信支付</a>
        </div>
       <?php elseif( $_item['status'] == 1 && $_item['express_status'] == -6):?>
       	<div class="order-btn">
            <a class="green-btn" data="<?=$_item['id'];?>" href="<?=UrlService::buildNullUrl();?>">确认收货</a>
        </div>
        <?php elseif( $_item['status'] == 1 && $_item['express_status'] == 1):?>
<!--        <div class="order-btn">-->
<!--            <a class="green-btn" data="--><?//=$_item['id'];?><!--" href="--><?//=UrlService::buildMUrl('/course/info');?><!--">订单详情</a>-->
<!--        </div>-->
		<?php endif;?>
	</ul>
</div>
<?php endforeach;?>
<?php else:?>
    <section class="layout-nodata">
		<img src="<?=UrlService::buildImageUrl("/nodata.png")?>" width="100%"/>
	</section>
<?php endif;?>

modules/m/views/user/express_info.php
<?php
use app\common\services\UrlService;
?>
<?php if ($express_list): ?>
    <?php foreach ($express_list as $_express_item): ?>
        <?= $_express_item ?><br>
    <?php endforeach; ?>
<?php else: ?>
    <section class="layout-nodata">
        <img src="<?= UrlService::buildImageUrl("/nodata.png") ?>" width="100%"/>
    </section>
<?php endif; ?>

modules/m/views/user/fav.php
<?php
use \app\common\services\UrlService;
use \app\common\services\StaticService;
use app\common\services\ConstantMapService;
StaticService::includeAppJsStatic( "/js/m/user/fav.js",\app\assets\MAsset::className() );
?>
<div class="fav_head">
	<a class="<?=$type==2?'active':''?>" href="<?=UrlService::buildMUrl('/user/fav',['type'=>2])?>">课程</a>
	<a class="<?=$type==1?'active':''?>" href="<?=UrlService::buildMUrl('/user/fav',['type'=>1])?>">产品</a>
</div>
<div class="fav_cont">
<?php if( $list ):?>
<ul class="fav_list fav_list2">
	<?php foreach( $list as $_item ):?>
	<li>
		<a href="<?=$_item['url']?>">
			<i class="pic"><img src="<?=$_item["book_main_image"];?>"/></i>
			<h2><?=$_item["book_name"];?></h2>
            <?php if ($type==2):?>
			<span class="fav_list_desc"><?=strip_tags($_item["summary"]);?></span>
            <?php endif;?>
		</a>
        <?php if ($type==2):?>
            <div class="tag_box">
                <?=ConstantMapService::$course_free_mapping[$_item['is_free']]?>
                <?=ConstantMapService::$course_model_mapping[$_item['model']]?>
                <label class="tag-price fr"><?php if($_item['is_free'] == 0){echo '￥'.$_item['book_price'];}?></label>
            </div>
            <?php else:?>
            <div class="fav_product">
                <span>¥ <em><?=$_item['book_price']?></em></span>
            </div>
<!--            <input type="button" class="fav_product_buy" value="购买" data="--><?//= $_item['book_id']; ?><!--"/>-->
        <?php endif;?>
		<!--<span class="del_fav" data="<?=$_item["id"];?>"><i class="del_fav_icon"></i></span>-->
	</li>
	<?php endforeach;?>
</ul>
</div>
<?php else:?>
    <section class="layout-nodata">
        <img src="<?=UrlService::buildImageUrl("/nodata.png")?>" width="100%"/>
    </section>
<?php endif;?>

modules/m/views/user/index.php
<?php
use \app\common\services\UrlService;
use \app\common\services\UtilService;
?>
<div class="mem_info user-center">
	<span class="m_pic"><img src="<?=UrlService::buildPicUrl( "avatar",$current_user['avatar'] );?>" /></span>
    <p><?=UtilService::encode( $current_user['nickname'] );?><!--<a href="<?=UrlService::buildMUrl('/user/login_out')?>">退出登录</a>--></p>
</div>
<div class="user-center-box">
	<a href="<?=UrlService::buildMUrl("/user/course_order");?>"><i class="wdkc-icon"></i>我的课程</a>
	<a href="<?=UrlService::buildMUrl("/user/fav");?>"><i class="wdsc-icon"></i>我的收藏</li></a>
	<a href="<?=UrlService::buildMUrl("/user/question");?>"><i class="wddy-icon"></i>我的答疑</li></a>
	<a href="<?=UrlService::buildMUrl("/user/product_order");?>"><i class="ygcp-icon"></i>已购产品</li></a>
	<a href="<?=UrlService::buildMUrl("/user/address");?>"><i class="wdshdz-icon"></i>我的收货地址</li></a>
</div>
<div class="user-center-box" style="margin-top: 0.6rem;">
	<a href="<?=UrlService::buildMUrl("/user/notice");?>"><i class="wdtz-icon"></i>通知
<!--        <span class="messages">32</span>-->
        </li></a>
</div>
<div class="user-center-box" style="margin-top: 0.6rem;">
	<a href="<?=UrlService::buildMUrl("/user/set_up");?>"><i class="wdsz-icon"></i>设置</li></a>
</div>
<!--<div class="footer_fixed clearfix">
    <span><a href="<?=UrlService::buildMUrl("/default/index");?>"><i class="home_icon"></i><b>首页</b></a></span>
    <span><a href="<?=UrlService::buildMUrl("/product/index");?>"><i class="store_icon"></i><b></b></a></span>
    <span><a href="<?=UrlService::buildMUrl("/user/index");?>" class="aon"><i class="member_icon"></i><b>我的</b></a></span>
</div>-->

modules/m/views/user/login.php
<?php
use \app\common\services\StaticService;
use \app\common\services\UrlService;
StaticService::includeAppJsStatic( "/js/m/user/login.js",\app\assets\MAsset::className() );
?>
<!--<div class="page_title clearfix">
    <span>登录</span>
</div>-->
<div class="login_form_wrap">
    <div class="form_box">
        <div class="form_input_box">
            <span>手机号</span>
            <input name="mobile" type="text" placeholder="请输入手机号" class="form_input" value="" />
        </div>

        <div class="form_input_box phone_code">
            <span>验证码</span>
            <input name="captcha_code" type="text" placeholder="请输入验证码" class="form_input" />
            <button type="button" class="get_captcha">获取验证码</button>
        </div>
    </div>
    <div class="op_box">
        <input style="width: 100%;" type="button" value="登录" class="red_btn dologin"  />
    </div>
    <div class="op_box">
        <a style="width: 100%;" href="<?=UrlService::buildMUrl('/user/register')?>" class="red_btn reg_btn">注册</a>
    </div>
   <div class="wx-box"><span>微信快速登录</span>
   		<a href="<?=UrlService::buildMUrl('/user/bind_before')?>"><img width="100%" src="<?=UrlService::buildImageUrl("/wx-icon.png")?>"/></a>
   </div>
</div>